Name:           ocaml-curl
Version:        0.5.3
Release:        %mkrel 13
Summary:        OCaml Curl library (ocurl)
Group:          Development/OCaml
License:        MIT
URL:            http://sourceforge.net/projects/ocurl
Source0:        http://downloads.sourceforge.net/ocurl/ocurl-%{version}.tgz
Patch0:         Makefile.in-dllib.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  curl-devel >= 7.9.8
BuildRequires:  ncurses-devel
BuildRequires:  gawk
# Because ocaml-curl is compiled with custom, it needs the curl-devel lib even for the bytecode ocaml lib.
Requires:       curl-devel
Conflicts:	%{name}-devel < 0.5.3-6

%description
The OCaml Curl Library (Ocurl) is an interface library for the
programming language OCaml to the networking library libcurl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocurl
%patch0 -p0

# Files in the archive have spurious +x mode.
find -type f | xargs chmod 0644
chmod 0755 configure install-sh

%build
%configure2_5x --libdir=%{_libdir} --with-findlib
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

# Install curl.mli
cp curl.mli $OCAMLFIND_DESTDIR/curl

# Make clean in the examples dir so our docs don't contain binaries.
make -C examples clean

mkdir api-doc
ocamldoc -d api-doc -html curl.mli

%files
%doc COPYING
%dir %{_libdir}/ocaml/curl
%{_libdir}/ocaml/curl/META
%{_libdir}/ocaml/curl/*.cmi
%{_libdir}/ocaml/curl/*.cma
# Because ocaml-curl is compiled with custom, it needs the native lib, even for the bytecode version
%{_libdir}/ocaml/curl/*.a
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc api-doc/
%{_libdir}/ocaml/curl/*.cmxa
%{_libdir}/ocaml/curl/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-13.mga4
+ Revision: 536093
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.5.3-12.mga4
+ Revision: 483304
- also provide the ocamldoc generated API documentation

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-11.mga3
+ Revision: 361262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.5.3-10.mga3
+ Revision: 301433
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.5.3-8.mga3
+ Revision: 300600
- minor things
- new rpm group for ocaml

* Sun Dec 11 2011 fwang <fwang> 0.5.3-7.mga2
+ Revision: 180528
- add conflicts to ease upgrade

* Sun Dec 11 2011 malo <malo> 0.5.3-6.mga2
+ Revision: 180518
- moving file from devel to the main package to fix bytecode lib.

* Sun Oct 02 2011 shlomif <shlomif> 0.5.3-5.mga2
+ Revision: 151007
- Removed a Require curl (thanks to Malo)

* Sun Oct 02 2011 fwang <fwang> 0.5.3-4.mga2
+ Revision: 150897
- rebuild for new ocaml

* Tue Apr 12 2011 ennael <ennael> 0.5.3-3.mga1
+ Revision: 83663
- clean spec file
- imported package ocaml-curl


* Thu Oct 07 2010 Funda Wang <fwang@mandriva.org> 0.5.3-3mdv2011.0
+ Revision: 583990
- rebuild

* Mon Aug 23 2010 Florent Monnier <blue_prawn@mandriva.org> 0.5.3-2mdv2011.0
+ Revision: 572420
- fixed the patch
- patched to compile the .so file

* Wed Apr 07 2010 Florent Monnier <blue_prawn@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 532793
- updated to version 0.5.3

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 522776
- update to new version 0.5.2

* Sun Feb 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-3mdv2010.1
+ Revision: 512689
- devel package requires curl-devel

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 389932
- rebuild

* Thu Jun 11 2009 Florent Monnier <blue_prawn@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 385091
- updated version

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 318154
- import ocaml-curl


* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2009.1
- contributed by Florent Monnier <fmonnier@linux-nantes.org> 
